×

INDI Library v1.9.5 Released (08 Mar 2022)

Bi-monthly INDI Library released with new drivers and bug fixes.

No any icon in the new build kstars

  • Posts: 157
  • Thank you received: 2
About the topic - you are not the first, somebody recently was doing the same thing

Update: Ok, you mentioned, my fault! :)
Linux Mint 17.1 + Kubuntu 14.10 hybrid OS, using PPA for latest KStars-bleeding and INDI
Last edit: 7 years 2 months ago by Alexandru Barbovschi.
7 years 2 months ago #3410

Please Log in or Create an account to join the conversation.

You built all the KDE Frameworks 5.3+ prerequisites yourself or use some PPA?
Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info
7 years 2 months ago #3411

Please Log in or Create an account to join the conversation.

  • Posts: 94
  • Thank you received: 38
No, I just did what HOWTO: Building latest libindi & Ekos say, didn't build KDE Frameworks 5.3+ prerequisites, and I use ARM version of ubuntu, so no PPA used.
7 years 2 months ago #3412

Please Log in or Create an account to join the conversation.

15.04 ARM version? because 14.10 need PPA for KDE 5 stuff.

At any rate, I just asked Launchpad to enable ARM builds for my PPA. I had it before but I asked for removal due to too many errors previously. Now that there is demand, I'll put it back again.
Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info
7 years 2 months ago #3413

Please Log in or Create an account to join the conversation.

  • Posts: 94
  • Thank you received: 38
Oh, I use 14.10, maybe this is the reason why it didn't work well.

Looking forward to the ARM build for you PPA. May I ask if it include ARM build of kstars and libindi ?
7 years 2 months ago #3414

Please Log in or Create an account to join the conversation.

yes all, but KStars will fail on ARM due to missing PPA. Kubuntu-ci is AFAIK not available for ARM. It should build fine on 15.04 whether x86 or ARM (I hope).
Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info
7 years 2 months ago #3415

Please Log in or Create an account to join the conversation.

  • Posts: 94
  • Thank you received: 38
I'll try 15.04 later and let you know the result.
7 years 2 months ago #3416

Please Log in or Create an account to join the conversation.

  • Posts: 94
  • Thank you received: 38
Hi, I tried ubuntu vivid and just install the deps to build kstars, same happen and no icon.
And after install the kubuntu-desktop, part of the icon show but most of it still can not display.
I'm not running the whole kubuntu-desktop but just run an openbox in vnc.

I just want to run kstars but not the whole kubuntu-desktop, is there any way to do that ?
because running the whole kubuntu-desktop is not an option for VNC.
Last edit: 7 years 2 months ago by max.
7 years 2 months ago #3425

Please Log in or Create an account to join the conversation.

  • Posts: 314
  • Thank you received: 34

Just some "slightly off-topic" thoughts, but I've a similar issue on gentoo. My kstars has largely no icons because I only installed the very necessary deps. I really DON'T want the whole kde enviroment because this increases my "size optimized" system with ~300MB of software that I would never use. Wasn't it one of the intention of the new kde5 to be more modular and independent among each other packages? But I have to admit I have no clue how kde5 internally works. Maybe I miss just one particular package but I guess equally to kde themes, icons will only work with a proper started plasma-kde-enviroment. (same applies to people who only want to use kde5-dolphin as a standalone application.
--= human, without Windows™ =--
pls excuse my bad english! :)
7 years 2 months ago #3433

Please Log in or Create an account to join the conversation.

  • Posts: 94
  • Thank you received: 38
Yes, use kstars as a standalone application
7 years 2 months ago #3444

Please Log in or Create an account to join the conversation.

  • Posts: 173
  • Thank you received: 10
Would I be correct in assuming Kstars itself is not being upgraded but only in its bleeding version?. I`ve tried a few of the latest 15.04 distros and installing Kstars through their various package managers gives you 2.2, you have to manually install kstars-bleeding through a terminal?
Steve
7 years 2 months ago #3445

Please Log in or Create an account to join the conversation.

Correct.
Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info
7 years 2 months ago #3452

Please Log in or Create an account to join the conversation.

Time to create page: 1.208 seconds